import {BaseConfig} from "./abstract/baseConfig.model";
import { Deserialize } from "./util/deserialize.model";

export class SharedLogConfigModel extends BaseConfig implements Deserialize {
  public FetchRateSec: number = 60;
  public SnapshotCleanupSec: number = 900;
  public SnapshotRateSec: number = 1800;
  public SnapshotExpirationHours: number = 48;

  public deserialize(input: any): this {
    Object.assign(this, input);
    return this;
  }
}
